name='libngtcp2'
version='1.12.0'
release='1'
desc='Implementation of IETF QUIC protocol.'
desc_ru='Реализация протокола QUIC.'
homepage='https://github.com/ngtcp2/ngtcp2'
maintainer='Evgeniy Khramov xpamych@yandex.ru'
maintainer_ru="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MIT')
provides=(
  'libngtcp2.so'
  'libngtcp2_crypto_gnutls.so'
  'libngtcp2_crypto_ossl.so'
)

deps=(
  'glibc'
  'openssl'
  'gnutls'

)
build_deps=(
  'autoconf'
  'automake'
  'brotli-devel'
  'gnutls-devel'
  'libtool'
)

sources=("https://github.com/ngtcp2/ngtcp2/archive/refs/tags/v$version.tar.gz")
checksums=('SKIP')

prepare() {
  cd ngtcp2-$version
  autoreconf -i
}

build() {
  cd ngtcp2-$version
  ./configure \
    --prefix=/usr \
    --with-libbrotlienc \
    --with-libbrotlidec \
    --with-gnutls \
    --enable-lib-only
  make -j$(($(nproc) - 1))
}

package() {
  cd ngtcp2-$version
  make DESTDIR="${pkgdir}" install
  install-license ./COPYING ./ngtcp2/COPYING
}

files() {
  printf '"%s" ' ./usr/include/ngtcp2/*
  printf '"%s" ' ./usr/lib64/**/*
  echo ./usr/share/doc/ngtcp2/README.rst
  echo ./usr/share/licenses/ngtcp2/COPYING
}